Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.navi
Interface ExpressionParser

All Superinterfaces:
  Extension

All Known Implementing Classes:
  MondrianExpressionParser, TestExpressionParser

    public interface ExpressionParser

extends Extension

serialisiert expr. Wird zunaechst nur fuer unique names von Member, Hierarchy, Dimension, Level benutzt.

Nested Class Summary
`static class` | `ExpressionParser.InvalidSyntaxException`

Field Summary
`static java.lang.String` | `ID`

Method Summary
`Dimension` | `lookupDimension(java.lang.String uniqueName)` typespecific lookup because Mondrians unique names are not unique.
`Hierarchy` | `lookupHierarchy(java.lang.String uniqueName)` typespecific lookup because Mondrians unique names are not unique.
`Level` | `lookupLevel(java.lang.String uniqueName)` typespecific lookup because Mondrians unique names are not unique.
`Member` | `lookupMember(java.lang.String uniqueName)` typespecific lookup because Mondrians unique names are not unique.
`Expression` | `parse(java.lang.String expr)`
`java.lang.String` | `unparse(Expression expr)`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Field Detail

### ID

    static final java.lang.String ID

See Also:
  Constant Field Values

Method Detail

### unparse

    java.lang.String unparse(Expression expr)

### parse

    Expression parse(java.lang.String expr)
                     throws ExpressionParser.InvalidSyntaxException

  Throws:
    `ExpressionParser.InvalidSyntaxException`

### lookupMember

    Member lookupMember(java.lang.String uniqueName)
                        throws ExpressionParser.InvalidSyntaxException

  typespecific lookup because Mondrians unique names are not unique. [Measures] is the unique name for both, Hierarchy and Dimension

  Throws:
    `ExpressionParser.InvalidSyntaxException`

### lookupLevel

    Level lookupLevel(java.lang.String uniqueName)
                      throws ExpressionParser.InvalidSyntaxException

  typespecific lookup because Mondrians unique names are not unique. [Measures] is the unique name for both, Hierarchy and Dimension. much faster than lookupMember or parse(uname) because it does not have to look into the DB.

  Throws:
    `ExpressionParser.InvalidSyntaxException`

### lookupHierarchy

    Hierarchy lookupHierarchy(java.lang.String uniqueName)
                              throws ExpressionParser.InvalidSyntaxException

  typespecific lookup because Mondrians unique names are not unique. [Measures] is the unique name for both, Hierarchy and Dimension much faster than lookupMember or parse(uname) because it does not have to look into the DB.

  Throws:
    `ExpressionParser.InvalidSyntaxException`

### lookupDimension

    Dimension lookupDimension(java.lang.String uniqueName)
                              throws ExpressionParser.InvalidSyntaxException

  typespecific lookup because Mondrians unique names are not unique. [Measures] is the unique name for both, Hierarchy and Dimension much faster than lookupMember or parse(uname) because it does not have to look into the DB.

  Throws:
    `ExpressionParser.InvalidSyntaxException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD